SQL Assistant Install on Vista

General
Enthusiast

SQL Assistant Install on Vista

I am trying to install TD13 on my Vista system. It all goes well except for SQL Assistant. When I attempt to install it, I get a ".NET Framework 2.0 required for installation" error. Unfortunately, .NET 2.0 is part of the OS. I have tried to install the .NET 2.0 runtime and then install, but no joy. Anyone have a way to get this installed? Is there any way to install this without checking for the framework?

R
8 REPLIES

Re: SQL Assistant Install on Vista

I got the same problem too~

Re: SQL Assistant Install on Vista

You might wish to reconsider. I did install TD13 on Vista and it seemed to work OK, except that I could no longer use ODBC to connect to Teradata. I removed TD13 and reinstalled TD12.

Re: SQL Assistant Install on Vista

My only solution to this was to install "SQL Assistant Java Edition" available from http://developer.teradata.com/tools/articles/sql-assistant-java-edition. It is a free download.

Re: SQL Assistant Install on Vista

I get the same issue on Windows7. Have installed Java Edition. Thanks itpro420. (TD12 doesn't work with Windows7).
Teradata Employee

Re: SQL Assistant Install on Vista

I think this is the issue where it fails if .Net Framework 4 is installed.
The install package originally looked specifically for version 2.
We changed the install in efix 13.0.0.10 so that it would accept Framework 4 also.
Try downloading the latest efix from the patch server. That should work.

Re: SQL Assistant Install on Vista

Is there some workaround to install SQL Assistant in this situation?
I am using Express edition.

Re: SQL Assistant Install on Vista

For express edition, to overcome this, export and delete below registry value
[HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\.NETFramework\Policy\v4.0]
"30319"="30319-30319"
Install SQL Assistant and merge the registry back.
It seems to install and work properly.

Re: SQL Assistant Install on Vista

vgundala fix worked Windows 7 SP1, Express Edition 13.0.0.8...

Thanks!